"use strict";

var _interopRequireDefault = require("@babel/runtime-corejs3/helpers/interopRequireDefault");
exports.__esModule = true;
exports.default = void 0;
var _apidomCore = require("@swagger-api/apidom-core");
var _RelativeJsonPointerError = _interopRequireDefault(require("./RelativeJsonPointerError.cjs"));
class EvaluationRelativeJsonPointerError extends _RelativeJsonPointerError.default {
  constructor(message, structuredOptions) {
    super(message, structuredOptions);
    if (typeof structuredOptions !== 'undefined') {
      this.relativePointer = structuredOptions.relativePointer;
      this.currentElement = structuredOptions.currentElement.element;
      if ((0, _apidomCore.hasElementSourceMap)(structuredOptions.currentElement)) {
        this.currentElementSourceMap = (0, _apidomCore.toValue)(structuredOptions.currentElement.getMetaProperty('sourceMap'));
      }
      this.rootElement = structuredOptions.rootElement.element;
      if ((0, _apidomCore.hasElementSourceMap)(structuredOptions.rootElement)) {
        this.rootElementSourceMap = (0, _apidomCore.toValue)(structuredOptions.rootElement.getMetaProperty('sourceMap'));
      }
      if (typeof structuredOptions.cursorElement !== 'undefined') {
        this.cursorElement = structuredOptions.cursorElement.element;
        if ((0, _apidomCore.hasElementSourceMap)(structuredOptions.cursorElement)) {
          this.cursorElementSourceMap = (0, _apidomCore.toValue)(structuredOptions.cursorElement.getMetaProperty('sourceMap'));
        }
      }
    }
  }
}
var _default = EvaluationRelativeJsonPointerError;
exports.default = _default;