import _defineProperty from "@babel/runtime-corejs3/helpers/esm/defineProperty";
import RelativeJsonPointerError from "./RelativeJsonPointerError.js";
class CompilationRelativeJsonPointerError extends RelativeJsonPointerError {
  constructor(message, structuredOptions) {
    super(message, structuredOptions);
    _defineProperty(this, "nonNegativeIntegerPrefix", void 0);
    _defineProperty(this, "indexManipulation", void 0);
    _defineProperty(this, "jsonPointerTokens", void 0);
    _defineProperty(this, "hashCharacter", void 0);
    if (typeof structuredOptions !== 'undefined') {
      this.nonNegativeIntegerPrefix = structuredOptions.relativePointer.nonNegativeIntegerPrefix;
      this.indexManipulation = structuredOptions.relativePointer.indexManipulation;
      this.hashCharacter = structuredOptions.relativePointer.hashCharacter;
      if (Array.isArray(structuredOptions.relativePointer.jsonPointerTokens)) {
        this.jsonPointerTokens = [...structuredOptions.relativePointer.jsonPointerTokens];
      }
    }
  }
}
export default CompilationRelativeJsonPointerError;