import _defineProperty from "@babel/runtime-corejs3/helpers/esm/defineProperty";
import { hasElementSourceMap, toValue } from '@swagger-api/apidom-core';
import RelativeJsonPointerError from "./RelativeJsonPointerError.js";
class EvaluationRelativeJsonPointerError extends RelativeJsonPointerError {
  constructor(message, structuredOptions) {
    super(message, structuredOptions);
    _defineProperty(this, "relativePointer", void 0);
    _defineProperty(this, "currentElement", void 0);
    _defineProperty(this, "currentElementSourceMap", void 0);
    _defineProperty(this, "rootElement", void 0);
    _defineProperty(this, "rootElementSourceMap", void 0);
    _defineProperty(this, "cursorElement", void 0);
    _defineProperty(this, "cursorElementSourceMap", void 0);
    if (typeof structuredOptions !== 'undefined') {
      this.relativePointer = structuredOptions.relativePointer;
      this.currentElement = structuredOptions.currentElement.element;
      if (hasElementSourceMap(structuredOptions.currentElement)) {
        this.currentElementSourceMap = toValue(structuredOptions.currentElement.getMetaProperty('sourceMap'));
      }
      this.rootElement = structuredOptions.rootElement.element;
      if (hasElementSourceMap(structuredOptions.rootElement)) {
        this.rootElementSourceMap = toValue(structuredOptions.rootElement.getMetaProperty('sourceMap'));
      }
      if (typeof structuredOptions.cursorElement !== 'undefined') {
        this.cursorElement = structuredOptions.cursorElement.element;
        if (hasElementSourceMap(structuredOptions.cursorElement)) {
          this.cursorElementSourceMap = toValue(structuredOptions.cursorElement.getMetaProperty('sourceMap'));
        }
      }
    }
  }
}
export default EvaluationRelativeJsonPointerError;